Update Cloud Authentication
Update the cloud authentication details.
Update cloud authentication details using the access token from VCF Console.
Request
URI
PUT
https://umip/api/v1/cloud-auth
COPY
Request Body
The access token.
AccessTokenUpdateRequest
of type(s)
application/json
Required
{
"accessToken": "string"
}
string
accessToken
Required
The access token. It should start with UMA: prefix. Returned during the Usage Meter agent registration process.
Responses
202
Provided access token is accepted. Next step is to accept the associated tenant.
Operation doesn't return any data structure
400
Test status error response.
Returns
TestStatusErrorResponse
of type(s)
application/json
{
"test_result": false,
"errorCode": "string",
"message": "string"
}
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"accessToken":"string"}' https://{api_host}/api/v1/cloud-auth
Cloud Authentication Settings Operations
GET
Get Cloud Authentication
PUT
Update Cloud Authentication